<!DOCTYPE html>
<html lang="en" xmlns:th="http://www.w3.org/1999/xhtml">
<head>
    <title th:text="#{setPassword.Title}"> Employer sign in </title>

    <object th:replace="fragments/global_includes :: global_includes" th:remove="tag">...</object>
</head>

<body class="nhs-bsa-pensions nhs-bsa">

<div th:replace="fragments/header :: header">...</div>

<main id="content" role="main">

    <div th:replace="fragments/phase_banner :: phase_banner">...</div>
    <div th:replace="fragments/service_header :: service_header">...</div>

    <div class="grid-row">
        <div class="column-two-thirds">

            <form th:action="@{/set-password}" method="post" class="form form-to-validate" id="password-form" novalidate="novalidate" autocomplete="off" th:object="${setPassword}">

                <div class="error-summary" th:if="${#fields.hasErrors('newPassword') or #fields.hasErrors('passwordConfirm')}? validation-error" id="new-password-error-message" role="group" aria-labelledby="new-password-error-heading" tabindex="-1">
                    <h1 id="new-password-error-heading" class="heading-medium error-summary-heading">Some questions have not been answered correctly:</h1>
                    <p th:text="#{errorSummary2}" id="new-password-error-message-text">Please see the errors below.</p>
                    <ul class="error-summary-list">
                        <li> <a th:href="@{#newPassword}" th:each="err : ${#fields.errors('*')}" th:text="${err}" id="password-error-heading">Passwords do not match, please try again </a></li>
                    </ul>
                </div>

                <div class="heading-group">
                    <p th:text="#{serviceHeader}" id="service-name-text">Make payments to the NHS Pension Scheme</p>
                    <h1 class="heading-large" th:text="#{setPassword.Heading}" id="main-heading">Create a new password</h1>
                </div>

                <div class="text">
                    <p th:text="#{setPassword.CreatePasswordInfo}" id="set-password-create-text">You were given a temporary password to access this service, to continue you need to create a new memorable password.</p>
                </div>

                <fieldset>
                    <legend class="visuallyhidden" th:text="#{setPassword.EnterPassword}" id="enter-password-label">Enter your password</legend>

                    <div class="form-group" th:classappend="${#fields.hasErrors('newPassword')}? error" id="password-group">
                        <label for="newPassword" id="password-label">
                            <span class="form-label-bold" th:text="#{setPassword.Password}" id="password-form-label">Password</span>
                            <span class="form-hint" th:text="#{setPassword.PasswordHint}" id="password-hint">Must contain both letters and numbers and be at least 8 characters long.</span>
                            <span class="error-message" id="error-message-password" th:each="err : ${#fields.errors('*')}" th:text="${err}">Enter your password</span>
                        </label>
                        <input type="password" id="newPassword" value="" name="newPassword" class="form-control validate-text-input"
                               th:field="*{newPassword}" />
                    </div>

                    <div class="form-group" th:classappend="${#fields.hasErrors('newPassword') or #fields.hasErrors('passwordConfirm')} ? error" id="repeat-password-group">
                        <label for="confirm-password" id="repeat-password-label">
                            <span class="form-label-bold" th:text="#{setPassword.RepeatPassword}" id="repeat-password-form-label">Repeat password</span>
                            <span class="error-message" id="error-message-repeat-password" th:each="err : ${#fields.errors('*')}" th:text="${err}">Enter your repeat password</span>
                        </label>
                        <input type="password" id="confirm-password" value="" name="confirm-password" class="form-control validate-text-input"
                               th:field="*{passwordConfirm}" />
                    </div>
                </fieldset>

                <div class="form-group" id="new-password-submit-button">
                    <button type="submit" class="button" id="submitPassword" th:text="#{setPassword.Create}">Create</button>
                </div>
            </form>

        </div>
    </div>


</main>

<div th:replace="fragments/footer :: footer">...</div>
<div th:replace="fragments/scripts :: scripts">...</div>

</body>
</html>